#ifndef __MPL115A2BarometricPressureSensor_H__
#define __MPL115A2BarometricPressureSensor_H__

#include "Arduino.h"
#include <SensorBase.h>
#include <Wire.h>
#include <Adafruit_MPL115A2.h>
#include <RF24.h>

class MPL115A2BarometricPressureSensor : public SensorBase
{
  protected:
    Adafruit_MPL115A2* mpl115a2;

  public:
    MPL115A2BarometricPressureSensor(char* location, RF24* radio, int senderID);
    void Init();
    void Read();
};

#endif
